import React, {Component} from 'react'
import { withRouter } from 'react-router-dom'

import Header from '../systemfunc/header'
import Proc from './proc'
import './index.scss'

class SysProc extends Component {
  componentDidMount() {
    if (!sessionStorage.getItem('UserID')) {
      this.props.history.replace('/login')
    }
  }

  render () {
    const { params } = this.props.match
    let func = params && params.func ? params.func : ''

    return (
      <div className="mk-proc-view">
        <Header key="header"/>
        <Proc func={func} />
      </div>
    )
  }
}

export default withRouter(SysProc)